Package Details: apper-git r1139.ef57b76-1

Git Clone URL: https://aur.archlinux.org/apper-git.git (read-only)
Package Base: apper-git
Description: An application and package manager using PackageKit
Upstream URL: https://userbase.kde.org/Apper
Licenses: LGPL
Conflicts: apper
Provides: apper
Submitter: Loose_Control
Maintainer: arojas
Last Packager: arojas
Votes: 17
Popularity: 0.000000
First Submitted: 2011-05-04 17:54
Last Updated: 2016-09-10 10:05

Latest Comments

jghodd commented on 2016-10-05 05:28

Apper is looking a whole lot better now than it has in a long time - kudos. I noticed one thing that prevents me from including it in my distro again though, which is that the error popup displays no error message. For instance, I have gcc-libs-multilib installed and when I selected gcc-libs to install and attempted the installation, it correctly responded with an error, but there was no error message (conflict). Is this something that's going to be addressed soon?

ferda commented on 2016-09-10 09:40

please add kdesignerplugin to makedeps

AnAkkk commented on 2015-08-29 23:04

CMake Error at apperd/CMakeLists.txt:21 (add_library):
Target "kded_apperd" links to target "DebconfKDE::Main" but the target was
not found. Perhaps a find_package() call is missing for an IMPORTED
target, or an ALIAS target is missing?


CMake Error at apperd/CMakeLists.txt:21 (add_library):
Target "kded_apperd" links to target "DebconfKDE::Main" but the target was
not found. Perhaps a find_package() call is missing for an IMPORTED
target, or an ALIAS target is missing?


AJSlye commented on 2014-12-20 18:15

Way out of date, the latest version is 0.9.1

https://dantti.wordpress.com/2014/08/25/apper-0-9-1-released/

DyrverE commented on 2014-09-09 11:12

And I can now successfully build apper-git after getting both packagekit-git and packagekit-qt-git which are now split gitorious branches. Quite crashy on certain actions, but a lot faster.

Thaodan commented on 2012-12-01 21:38

packagekit and packagekit-qt is outdated so it won't work (I think they wait for a new apper version, cause packagekit 0.8 is incompatible with version 0.7).

s4ncho commented on 2012-11-11 14:30

now apper is in official repo:
https://www.archlinux.org/packages/?sort=&q=apper&maintainer=&last_update=&flagged=&limit=50

Loose_Control commented on 2012-09-18 15:53

yeah seems to be an error 0.8.4 hasn't been released yet but apper-git depends on packagekit 0.8.x which is not stable and has no working alpm backend (i can't compile it with alpm)

mrbit commented on 2012-09-18 08:07

package 'packagekit-qt2>=0.8.4' not found ??

Apper detected that you use a 64 bit processor. Added -fPIC to the CXX_FLAGS.
-- Found KDE4Workspace: /usr/lib/cmake/KDE4Workspace/KDE4WorkspaceConfig.cmake
-- Configuring incomplete, errors occurred!

mrbit commented on 2012-09-18 08:06

package 'packagekit-qt2>=0.8.4' not found ???

mrbit commented on 2012-08-26 14:13

- QPK includ dir: /PackageKit/packagekit-qt2
-- Apper detected that you use a 64 bit processor. Added -fPIC to the CXX_FLAGS.
-- Found KDE4Workspace: /usr/lib/cmake/KDE4Workspace/KDE4WorkspaceConfig.cmake
-- Configuring incomplete, errors occurred!

Loose_Control commented on 2012-08-06 16:10

apper-git isn't building right now...

Anonymous comment on 2012-07-25 06:39

Same here, x64 system fully updated.

mrbit commented on 2012-07-23 07:22

[ 7%] Building CXX object libapper/CMakeFiles/apper.dir/apper_automoc.cpp.o
In file included from /tmp/packerbuild-0/apper-git/apper-git/src/build/libapper/moc_SimulateModel.cpp:10:0,
from /tmp/packerbuild-0/apper-git/apper-git/src/build/libapper/apper_automoc.cpp:7:
/tmp/packerbuild-0/apper-git/apper-git/src/build/libapper/../../apper/libapper/SimulateModel.h:42:32: error: ‘PackageList’ does not name a type
/tmp/packerbuild-0/apper-git/apper-git/src/build/libapper/../../apper/libapper/SimulateModel.h:42:45: error: ISO C++ forbids declaration of ‘skipPackages’ with no type [-fpermissive]
/tmp/packerbuild-0/apper-git/apper-git/src/build/libapper/../../apper/libapper/SimulateModel.h:53:26: error: ‘PackageList’ was not declared in this scope
/tmp/packerbuild-0/apper-git/apper-git/src/build/libapper/../../apper/libapper/SimulateModel.h:53:37: error: template argument 2 is invalid
/tmp/packerbuild-0/apper-git/apper-git/src/build/libapper/../../apper/libapper/SimulateModel.h:54:5: error: ‘PackageList’ does not name a type
make[2]: *** [libapper/CMakeFiles/apper.dir/apper_automoc.cpp.o] Errore 1
make[1]: *** [libapper/CMakeFiles/apper.dir/all] Errore 2
make: *** [all] Errore 2

Anonymous comment on 2012-04-15 00:27

'git' should be added to makedepends ;)

Anonymous comment on 2012-03-28 23:19

subversion is not required in makedepends, this is a git package.

Anonymous comment on 2012-02-22 00:44

Running the built package against namcap gives this:

apper-git E: Insecure RPATH '/home/medhefgo/apper-git/src/build/lib' in file ('usr/bin/apper')
apper-git W: Referenced library 'libapper.so' is an uninstalled dependency
apper-git E: Mime type handler found. Add "update-desktop-database -q" to the install file
apper-git W: Dependency kdelibs included but already satisfied

I don't like what it says. Same with apper package.

divansantana commented on 2011-10-11 18:04

woops thanks. :)

Loose_Control commented on 2011-10-11 16:30

lol why should the git version be outdated? -.-

for the newest stable version:
https://aur.archlinux.org/packages.php?ID=53061

Loose_Control commented on 2011-10-11 16:29

lol why should the git version be outdated? -.-

divansantana commented on 2011-10-11 15:42

I think this is out of date now, https://dantti.wordpress.com/2011/10/10/apper-released/

Any new package available anywhere? :)

dimitar commented on 2011-09-11 19:44

I replaced kpackagekit with apper and it works without any problems. I like very much the improvements in comparison to kpackagekit!

ying commented on 2011-05-20 08:39

Hmm not very stable. I will fallback to kpackagekit.

ying commented on 2011-05-20 08:27

Great!

Loose_Control commented on 2011-05-19 09:20

it's working now ;)

ying commented on 2011-05-17 20:39

I marked it.

Quote:Yes it doesnt compile right now wait till the developer has fixed the problem...

That takes time.. ;)

Loose_Control commented on 2011-05-17 15:55

Yes it doesnt compile right now wait till the developer has fixed the problem...

and the package is not out of date who marked it as one?

ying commented on 2011-05-17 09:20

Can't compile!

CMakeFiles/apper.dir/ApperKCM.o: In function `ApperKCM::save()':
ApperKCM.cpp:(.text+0x3e81): undefined reference to `PkTransaction::PkTransaction(PackageKit::Transaction*, QWidget*)'
ApperKCM.cpp:(.text+0x4131): undefined reference to `PkTransaction::installPackages(QList<PackageKit::Package> const&)'
ApperKCM.cpp:(.text+0x4139): undefined reference to `PkTransaction::isFinished() const'
ApperKCM.cpp:(.text+0x4149): undefined reference to `PkTransaction::exitStatus() const'
ApperKCM.cpp:(.text+0x4175): undefined reference to `PkTransaction::removePackages(QList<PackageKit::Package> const&)'
ApperKCM.cpp:(.text+0x417d): undefined reference to `PkTransaction::isFinished() const'
ApperKCM.cpp:(.text+0x4239): undefined reference to `PkTransaction::exitStatus() const'
ApperKCM.cpp:(.text+0x4414): undefined reference to `PkTransaction::updatePackages(QList<PackageKit::Package> const&)'
ApperKCM.cpp:(.text+0x4429): undefined reference to `PkTransaction::isFinished() const'
collect2: ld gab 1 als Ende-Status zurück
make[2]: *** [lib/apper.so] Fehler 1
make[1]: *** [ApperKCM/CMakeFiles/apper.dir/all] Fehler 2
make: *** [all] Fehler 2

ying commented on 2011-05-17 09:12

Can't compile!

[100%] Building CXX object Sentinel/CMakeFiles/apper-sentinel.dir/packagekitadaptor.o
Linking CXX executable apper-sentinel
[100%] Built target apper-sentinel
make: *** [all] Fehler 2

ying commented on 2011-05-17 08:47

Can't compile!

CMakeFiles/apper.dir/ApperKCM.o: In function `ApperKCM::save()':
ApperKCM.cpp:(.text+0x3e81): undefined reference to `PkTransaction::PkTransaction(PackageKit::Transaction*, QWidget*)'
ApperKCM.cpp:(.text+0x4131): undefined reference to `PkTransaction::installPackages(QList<PackageKit::Package> const&)'
ApperKCM.cpp:(.text+0x4139): undefined reference to `PkTransaction::isFinished() const'
ApperKCM.cpp:(.text+0x4149): undefined reference to `PkTransaction::exitStatus() const'
ApperKCM.cpp:(.text+0x4175): undefined reference to `PkTransaction::removePackages(QList<PackageKit::Package> const&)'
ApperKCM.cpp:(.text+0x417d): undefined reference to `PkTransaction::isFinished() const'
ApperKCM.cpp:(.text+0x4239): undefined reference to `PkTransaction::exitStatus() const'
ApperKCM.cpp:(.text+0x4414): undefined reference to `PkTransaction::updatePackages(QList<PackageKit::Package> const&)'
ApperKCM.cpp:(.text+0x4429): undefined reference to `PkTransaction::isFinished() const'

ying commented on 2011-05-17 08:46

Can't compile!

Loose_Control commented on 2011-05-05 09:22

right packagekit-qt2 is in the new packagekit which is still not in the repo here the PKGBUILD:
http://pastebin.com/ryRa4cGm

It's the same in the Repo i just took the patch out, added the new qt2 package and changed the version
(i dont know how to contact so Maintainer so if someone would be so nice...)

Anonymous comment on 2011-05-05 08:43

Hi! packagekit-qt2 is a dependency, but there is no such package in the repos nor in AUR.